<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportclass.MsrClassRankrateMapper">
    <!--综合报告-名次和比例分析-列表-->
    <select id="listClassForMcBl" resultType="java.util.Map">
        select ${sql}
        where examid=#{params.examid} and subjectid=#{params.subjectid}
        and rtype=#{params.type}
        <foreach collection="params.classids" item="classid" open="and classid in (" close=")" separator=",">
            #{classid}
        </foreach>
    </select>
</mapper>
